iwlib-0.1.0: Bindings for the iw C library

Copyright | (c) 2018 Jose A Ortega Ruiz
License | BSD-style (see LICENSE)
Maintainer | Jose A Ortega Ruiz <jao@gnu.org>
Stability | unstable
Portability | unportable A partial binding to iwlib
Safe Haskell | Safe
Language | Haskell2010

Network.IWlib

Description

# Documentation

data WirelessInfo Source #

Constructors

WirelessInfo |

Fields

- wiEssid :: String
- wiQuality :: Int

#### Instances

Instances details

Show WirelessInfo Source # |
Instance details Defined in Network.IWlib Methods showsPrec :: Int -> WirelessInfo -> ShowS show :: WirelessInfo -> String showList :: [WirelessInfo] -> ShowS

getWirelessInfo :: String -> IO WirelessInfo Source #